"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _LogoRenderer = _interopRequireDefault(require("../LogoRenderer"));

/* eslint-disable */

/**
 * Testing our LogoRenderer component
 */
var children = _react.default.createElement("h1", null, "Test");

var renderComponent = function renderComponent() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _enzyme.shallow)(_react.default.createElement(_LogoRenderer.default, props, children));
};

describe('<LogoRenderer />', function () {
  it('should render an LogoRenderer with children', function () {
    var renderedComponent = renderComponent();
    expect(renderedComponent.contains(children)).toEqual(true);
  });
});