"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _BlockquoteRenderer = _interopRequireDefault(require("../BlockquoteRenderer"));

/* eslint-disable */

/**
 * Testing our BlockquoteRenderer component
 */
var children = _react.default.createElement("h1", null, "Test children");

var renderComponent = function renderComponent() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _enzyme.shallow)(_react.default.createElement(_BlockquoteRenderer.default, props, children));
};

describe('<BlockquoteRenderer />', function () {
  it('should render an BlockquoteRenderer', function () {
    var renderedComponent = renderComponent();
    expect(renderedComponent.length).toBe(1);
  });
});