"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _ListRenderer = _interopRequireDefault(require("../ListRenderer"));

/* eslint-disable */

/**
 * Testing our ListRenderer component
 */
var children = _react.default.createElement("h1", null, "Test children");

var renderComponent = function renderComponent() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _enzyme.shallow)(_react.default.createElement(_ListRenderer.default, props, children));
};

describe('<ListRenderer />', function () {
  it('should render an ListRenderer', function () {
    var renderedComponent = renderComponent();
    expect(renderedComponent.length).toBe(1);
  });
});