"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Heading = _interopRequireDefault(require("../../Heading"));

function MarkdownHeadingRenderer(_ref) {
  var level = _ref.level,
      children = _ref.children;
  return _react.default.createElement("div", null, _react.default.createElement(_Heading.default, {
    level: level
  }, children));
}

MarkdownHeadingRenderer.propTypes = {
  level: _propTypes.default.oneOf([1, 2, 3, 4, 5, 6]).isRequired,
  children: _propTypes.default.node // eslint-disable-line react/require-default-props

};
var _default = MarkdownHeadingRenderer;
exports.default = _default;
module.exports = exports.default;