"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _PlaygroundRenderer = _interopRequireDefault(require("../PlaygroundRenderer"));

/* eslint-disable */

/**
 * Testing our PlaygroundRenderer component
 */
var renderComponent = function renderComponent() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _enzyme.shallow)(_react.default.createElement(_PlaygroundRenderer.default, props));
};

describe('<PlaygroundRenderer />', function () {
  it('should render an PlaygroundRenderer', function () {
    var renderedComponent = renderComponent({
      name: 'PlaygroundRenderer content',
      preview: _react.default.createElement("p", null, "Preview"),
      previewProps: {},
      tabButtons: _react.default.createElement("button", null, "Tab button"),
      tabBody: _react.default.createElement("span", null, "Tab body"),
      toolbar: _react.default.createElement("nav", null, "tool bar")
    });
    expect(renderedComponent.length).toBe(1);
  });
});