"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Ribbon;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _RibbonRenderer = _interopRequireDefault(require("./RibbonRenderer"));

function Ribbon(props, _ref) {
  var config = _ref.config;
  var ribbon = config.ribbon;
  return ribbon ? _react.default.createElement(_RibbonRenderer.default, ribbon) : null;
}

Ribbon.contextTypes = {
  config: _propTypes.default.object
};
module.exports = exports.default;