"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _SectionHeadingRenderer = _interopRequireDefault(require("../SectionHeadingRenderer"));

/* eslint-disable */

/**
 * Testing our SectionHeadingRenderer component
 */
var children = _react.default.createElement("h1", null, "Test");

var renderComponent = function renderComponent() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _enzyme.shallow)(_react.default.createElement(_SectionHeadingRenderer.default, props, children));
};

describe('<SectionHeadingRenderer />', function () {
  var id;
  var href;
  var depth;
  beforeAll(function () {
    id = 'id-gjhg';
    href = 'https://www.yeutech.com';
    depth = 1;
  });
  it('should render an SectionHeadingRenderer with children', function () {
    var renderedComponent = renderComponent({
      id: id,
      href: href,
      depth: depth
    });
    expect(renderedComponent.contains(children)).toEqual(true);
  });
});