"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _lodash = _interopRequireDefault(require("lodash.isempty"));

var _TabButton = _interopRequireDefault(require("../TabButton"));

var UsageTabButton = function UsageTabButton(props) {
  var component = props.props;
  var showButton = !(0, _lodash.default)(component.props) || !(0, _lodash.default)(component.methods);
  return showButton ? _react.default.createElement(_TabButton.default, props, "Props & methods") : null;
};

UsageTabButton.propTypes = {
  onClick: _propTypes.default.func.isRequired,
  name: _propTypes.default.string.isRequired,
  props: _propTypes.default.shape({
    props: _propTypes.default.array,
    methods: _propTypes.default.array
  }).isRequired,
  active: _propTypes.default.bool // eslint-disable-line react/require-default-props

};
var _default = UsageTabButton;
exports.default = _default;
module.exports = exports.default;