"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.DOCS_TAB_USAGE = exports.EXAMPLE_TAB_CODE_EDITOR = void 0;

var _IsolateButton = _interopRequireDefault(require("./IsolateButton"));

var _CodeTabButton = _interopRequireDefault(require("./CodeTabButton"));

var _UsageTabButton = _interopRequireDefault(require("./UsageTabButton"));

var _Editor = _interopRequireDefault(require("../Editor"));

var _Usage = _interopRequireDefault(require("../Usage"));

var EXAMPLE_TAB_CODE_EDITOR = 'rsg-code-editor';
exports.EXAMPLE_TAB_CODE_EDITOR = EXAMPLE_TAB_CODE_EDITOR;
var DOCS_TAB_USAGE = 'rsg-usage';
exports.DOCS_TAB_USAGE = DOCS_TAB_USAGE;

var _default = function _default() {
  var toolbar = [_IsolateButton.default];
  return {
    sectionToolbar: toolbar,
    componentToolbar: toolbar,
    exampleToolbar: toolbar,
    exampleTabButtons: [{
      id: EXAMPLE_TAB_CODE_EDITOR,
      render: _CodeTabButton.default
    }],
    exampleTabs: [{
      id: EXAMPLE_TAB_CODE_EDITOR,
      render: _Editor.default
    }],
    docsTabButtons: [{
      id: DOCS_TAB_USAGE,
      render: _UsageTabButton.default
    }],
    docsTabs: [{
      id: DOCS_TAB_USAGE,
      render: _Usage.default
    }]
  };
};

exports.default = _default;