"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _CodeTabButton = _interopRequireDefault(require("../CodeTabButton"));

/* eslint-disable */

/**
 * Testing our CodeTabButton component
 */
var renderComponent = function renderComponent() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _enzyme.shallow)(_react.default.createElement(_CodeTabButton.default, props));
};

describe('<CodeTabButton />', function () {
  var name;
  var active;
  var onClick;
  beforeAll(function () {
    name = 'Test name';
    active = true;
    onClick = jest.fn();
  });
  it('should render an CodeTabButton', function () {
    var renderedComponent = renderComponent({
      name: name,
      active: active,
      onClick: function onClick() {}
    });
    expect(renderedComponent.length).toBe(1);
  });
});