"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _ArgumentRenderer = _interopRequireDefault(require("../ArgumentRenderer"));

/* eslint-disable */

/**
 * Testing our ArgumentRenderer component
 */
var renderComponent = function renderComponent() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _enzyme.shallow)(_react.default.createElement(_ArgumentRenderer.default, props));
};

describe('<ArgumentRenderer />', function () {
  it('should render an ArgumentRenderer', function () {
    var renderedComponent = renderComponent();
    expect(renderedComponent.length).toBe(1);
  });
});