"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _ArgumentsRenderer = _interopRequireDefault(require("../ArgumentsRenderer"));

/* eslint-disable */

/**
 * Testing our ArgumentsRenderer component
 */
var renderComponent = function renderComponent() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _enzyme.shallow)(_react.default.createElement(_ArgumentsRenderer.default, props));
};

describe('<ArgumentsRenderer />', function () {
  it('should render an ArgumentsRenderer', function () {
    var renderedComponent = renderComponent({
      args: [{
        name: 'test name'
      }]
    });
    expect(renderedComponent.length).toBe(1);
  });
});