"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _ErrorRenderer = _interopRequireDefault(require("../ErrorRenderer"));

/* eslint-disable */

/**
 * Testing our ErrorRenderer component
 */
var renderComponent = function renderComponent() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _enzyme.shallow)(_react.default.createElement(_ErrorRenderer.default, props));
};

describe('<ErrorRenderer />', function () {
  it('should render an ErrorRenderer', function () {
    var renderedComponent = renderComponent({
      error: {},
      info: {
        componentStack: 'stack'
      }
    });
    expect(renderedComponent.length).toBe(1);
  });
});