"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _ExamplePlaceholderRenderer = _interopRequireDefault(require("../ExamplePlaceholderRenderer"));

/* eslint-disable */

/**
 * Testing our ExamplePlaceholderRenderer component
 */
var renderComponent = function renderComponent() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _enzyme.shallow)(_react.default.createElement(_ExamplePlaceholderRenderer.default, props));
};

describe('<ExamplePlaceholderRenderer />', function () {
  it('should render an ExamplePlaceholderRenderer', function () {
    var renderedComponent = renderComponent({
      name: 'test name'
    });
    expect(renderedComponent.length).toBe(1);
  });
});