"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _BootstrapProvider = _interopRequireDefault(require("@bootstrap-styled/provider/lib/BootstrapProvider"));

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _HeadingRenderer = _interopRequireWildcard(require("../HeadingRenderer"));

/* eslint-disable */

/**
 * Testing our HeadingRenderer component
 */
var children = 'Test';
describe('<HeadingRenderer />', function () {
  it('should render an HeadingRenderer with H1 children', function () {
    var renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_HeadingRenderer.default, (0, _extends2.default)({}, _HeadingRenderer.defaultProps, {
      level: 1
    }), children));
    expect(renderedComponent.find('h1').length).toBe(1);
  });
  it('should render an HeadingRenderer with H2 children', function () {
    var renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_HeadingRenderer.default, (0, _extends2.default)({}, _HeadingRenderer.defaultProps, {
      level: 2
    }), children));
    expect(renderedComponent.find('h2').length).toBe(1);
  });
  it('should render an HeadingRenderer with H3 children', function () {
    var renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_HeadingRenderer.default, (0, _extends2.default)({}, _HeadingRenderer.defaultProps, {
      level: 3
    }), children));
    expect(renderedComponent.find('h3').length).toBe(1);
  });
  it('should render an HeadingRenderer with H4 children', function () {
    var renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_HeadingRenderer.default, (0, _extends2.default)({}, _HeadingRenderer.defaultProps, {
      level: 4
    }), children));
    expect(renderedComponent.find('h4').length).toBe(1);
  });
  it('should render an HeadingRenderer with H5 children', function () {
    var renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_HeadingRenderer.default, (0, _extends2.default)({}, _HeadingRenderer.defaultProps, {
      level: 5
    }), children));
    expect(renderedComponent.find('h5').length).toBe(1);
  });
  it('should render an HeadingRenderer with H6 children', function () {
    var renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_HeadingRenderer.default, (0, _extends2.default)({}, _HeadingRenderer.defaultProps, {
      level: 6
    }), children));
    expect(renderedComponent.find('h6').length).toBe(1);
  });
});