"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _MarkdownHeadingRenderer = _interopRequireDefault(require("../MarkdownHeadingRenderer"));

/* eslint-disable */

/**
 * Testing our MarkdownHeadingRenderer component
 */
var children = _react.default.createElement("h1", null, "Test children");

var renderComponent = function renderComponent() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _enzyme.shallow)(_react.default.createElement(_MarkdownHeadingRenderer.default, props, children));
};

describe('<MarkdownHeadingRenderer />', function () {
  it('should render an MarkdownHeadingRenderer', function () {
    var renderedComponent = renderComponent({
      level: 1
    });
    expect(renderedComponent.length).toBe(1);
  });
});