"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _MethodsRenderer = _interopRequireDefault(require("../MethodsRenderer"));

/* eslint-disable */

/**
 * Testing our MethodsRenderer component
 */
var renderComponent = function renderComponent() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _enzyme.shallow)(_react.default.createElement(_MethodsRenderer.default, props));
};

describe('<MethodsRenderer />', function () {
  var methods;
  beforeAll(function () {
    methods = [{
      name: 'test name'
    }];
  });
  it('should render an MethodsRenderer', function () {
    var renderedComponent = renderComponent({
      methods: methods
    });
    expect(renderedComponent.length).toBe(1);
  });
});