"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _ParaRenderer = _interopRequireWildcard(require("../ParaRenderer"));

/* eslint-disable */

/**
 * Testing our ParaRenderer component
 */
var children = _react.default.createElement("h1", null, "Test");

var renderComponent = function renderComponent() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _enzyme.shallow)(_react.default.createElement(_ParaRenderer.default, props, children));
};

describe('<ParaRenderer />', function () {
  it('should render an ParaRenderer with children', function () {
    var renderedComponent = renderComponent((0, _objectSpread2.default)({}, _ParaRenderer.defaultProps));
    expect(renderedComponent.contains(children)).toEqual(true);
  });
});