"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _PlaygroundErrorRenderer = _interopRequireDefault(require("../PlaygroundErrorRenderer"));

/* eslint-disable */

/**
 * Testing our PlaygroundErrorRenderer component
 */
var renderComponent = function renderComponent() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _enzyme.mount)(_react.default.createElement(_PlaygroundErrorRenderer.default, props));
};

describe('<PlaygroundErrorRenderer />', function () {
  var message;
  beforeAll(function () {
    message = 'Test message';
  });
  it('should render an PlaygroundErrorRenderer with pre tag and children equal to Test message', function () {
    var renderedComponent = renderComponent({
      message: message
    });
    expect(renderedComponent.find('pre').props().children).toEqual('Test message');
  });
});