"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.defaultProps = void 0;
var defaultProps = {
  '$rsg-styleguide-background-color': '#fff',
  '$rsg-styleguide-has-sidebar-padding-left': {
    xs: '0',
    sm: '0',
    md: '30px',
    lg: '240px'
  },
  '$rsg-styleguide-content-max-width': '1000px',
  '$rsg-styleguide-content-margin': '0 auto',
  '$rsg-styleguide-content-display': 'block',
  '$rsg-styleguide-no-print-display': 'none',
  '$rsg-styleguide-content-transition': 'transform ease-out 500ms',
  '$rsg-styleguide-content-padding': {
    xs: '0 10px',
    lg: '0 60px'
  },
  '$rsg-styleguide-content-width': {
    md: '60%',
    lg: '90%'
  },
  '$rsg-styleguide-content-sidebar-open-transform': {
    md: 'translateX(120px)',
    lg: 'translateX(0)'
  },
  '$rsg-styleguide-sidebar-z-index': '4000',
  '$rsg-styleguide-sidebar-transform': 'translateX(0)',
  '$rsg-styleguide-sidebar-open-transition': 'transform ease-out 500ms',
  '$rsg-styleguide-sidebar-open-transform': {
    md: 'translateX(0px)',
    lg: 'translateX(0px)'
  },
  '$rsg-styleguide-sidebar-close-transition': 'transform ease-out 500ms',
  '$rsg-styleguide-sidebar-close-transform': {
    md: 'translateX(-250px)',
    lg: 'translateX(0px)'
  },
  '$rsg-styleguide-sidebar-button-transform': 'rotate(0deg)',
  '$rsg-styleguide-sidebar-button-padding': '10px 0 0 0',
  '$rsg-styleguide-sidebar-button-color': '#B31255',
  '$rsg-styleguide-sidebar-button-box-shadow': 'none',
  '$rsg-styleguide-sidebar-button-position': 'fixed',
  '$rsg-styleguide-sidebar-button-transition': 'all 500ms',
  '$rsg-styleguide-sidebar-button-hover-color': '#3A007D',
  '$rsg-styleguide-sidebar-button-outline': '0',
  '$rsg-styleguide-sidebar-button-visibility': {
    xs: 'hidden',
    md: 'visible',
    lg: 'hidden'
  },
  '$rsg-styleguide-sidebar-open-button-transition': 'transform 500ms',
  '$rsg-styleguide-sidebar-open-button-transform': 'translateX(230px) rotate(90deg)',
  '$rsg-styleguide-sidebar-close-button-transition': 'transform 500ms',
  '$rsg-styleguide-sidebar-close-button-z-index': '-500',
  '$rsg-styleguide-sidebar-close-button-transform': {
    sm: 'translateX(-20px)',
    md: 'translateX(0px)',
    lg: 'ranslateX(-10px)'
  }
};
exports.defaultProps = defaultProps;
var _default = defaultProps;
exports.default = _default;