"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _TableRenderer = _interopRequireDefault(require("../TableRenderer"));

/* eslint-disable */

/**
 * Testing our TableRenderer component
 */
var children = _react.default.createElement("h1", null, "Test");

var renderComponent = function renderComponent() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _enzyme.shallow)(_react.default.createElement(_TableRenderer.default, props, children));
};

describe('<TableRenderer />', function () {
  var columns;
  var rows;
  var getRowKey;
  beforeAll(function () {
    columns = [{
      caption: 'caption',
      render: function render() {}
    }];
    rows = [{}];
    getRowKey = jest.fn();
  });
  it('should render an TableRenderer with children', function () {
    var renderedComponent = renderComponent({
      columns: columns,
      rows: rows,
      getRowKey: function getRowKey() {}
    });
    expect(renderedComponent.contains(children)).toEqual(true);
  });
});