"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _TableOfContentsRenderer = _interopRequireDefault(require("../TableOfContentsRenderer"));

/* eslint-disable */

/**
 * Testing our TableOfContentsRenderer component
 */
var children = _react.default.createElement("h1", null, "Test");

var renderComponent = function renderComponent() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _enzyme.shallow)(_react.default.createElement(_TableOfContentsRenderer.default, props, children));
};

describe('<TableOfContentsRenderer />', function () {
  var searchTerm;
  var onSearchTermChange;
  beforeAll(function () {
    searchTerm = 'search term';
    onSearchTermChange = jest.fn();
  });
  it('should render an TableOfContentsRenderer with children', function () {
    var renderedComponent = renderComponent({
      searchTerm: searchTerm,
      onSearchTermChange: function onSearchTermChange() {}
    });
    expect(renderedComponent.contains(children)).toEqual(true);
  });
});