"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _WelcomeRenderer = _interopRequireDefault(require("../WelcomeRenderer"));

/* eslint-disable */

/**
 * Testing our WelcomeRenderer component
 */
var children = _react.default.createElement("h1", null, "Test");

var renderComponent = function renderComponent() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _enzyme.shallow)(_react.default.createElement(_WelcomeRenderer.default, props, children));
};

describe('<WelcomeRenderer />', function () {
  var patterns = [];
  it('should render an WelcomeRenderer with children', function () {
    var renderedComponent = renderComponent({
      patterns: patterns
    });
    expect(renderedComponent.contains(children)).toEqual(true);
  });
});