"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactFontawesome = require("@fortawesome/react-fontawesome");

var _getUrl = _interopRequireDefault(require("react-styleguidist/lib/utils/getUrl"));

var _ToolbarButton = _interopRequireDefault(require("../ToolbarButton"));

var IsolateButton = function IsolateButton(_ref) {
  var name = _ref.name,
      example = _ref.example,
      isolated = _ref.isolated;
  return isolated ? _react.default.createElement(_ToolbarButton.default, {
    href: (0, _getUrl.default)({
      anchor: true,
      slug: '/'
    }),
    title: "Show all components"
  }, _react.default.createElement(_reactFontawesome.FontAwesomeIcon, {
    icon: ['fas', 'angle-double-left']
  })) : _react.default.createElement(_ToolbarButton.default, {
    href: (0, _getUrl.default)({
      name: name,
      example: example,
      isolated: true
    }),
    title: "Open isolated"
  }, _react.default.createElement(_reactFontawesome.FontAwesomeIcon, {
    icon: ['fas', 'arrows-alt']
  }));
};

IsolateButton.propTypes = {
  name: _propTypes.default.string.isRequired,
  example: _propTypes.default.number,
  // eslint-disable-line react/require-default-props
  isolated: _propTypes.default.bool // eslint-disable-line react/require-default-props

};
var _default = IsolateButton;
exports.default = _default;
module.exports = exports.default;