"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _UsageTabButton = _interopRequireDefault(require("../UsageTabButton"));

/* eslint-disable */

/**
 * Testing our UsageTabButton component
 */
var renderComponent = function renderComponent() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _enzyme.shallow)(_react.default.createElement(_UsageTabButton.default, props));
};

describe('<UsageTabButton />', function () {
  var name;
  var onClick;
  var props;
  beforeAll(function () {
    name = 'Test name';
    onClick = jest.fn();
    props = {
      props: [],
      methods: []
    };
  });
  it('should render an UsageTabButton', function () {
    var renderedComponent = renderComponent({
      name: name,
      onClick: function onClick() {},
      props: props
    });
    expect(renderedComponent.length).toBe(1);
  });
});